org.apache.ignite.internal.processors.cache.persistence

## Class CorruptedPartitionMetaPageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.AbstractCorruptedPersistenceException
        - - org.apache.ignite.internal.processors.cache.persistence.CorruptedPartitionMetaPageException

All Implemented Interfaces:
  Serializable, CorruptedPersistenceException

    public class CorruptedPartitionMetaPageException
    extends AbstractCorruptedPersistenceException

Exception to distinguish partition meta page broken invariants.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.AbstractCorruptedPersistenceException

`pages`

### Constructor Summary

Constructors
`protected` `CorruptedPartitionMetaPageException(String msg, @Nullable Throwable cause, int grpId, long... pages)`
`protected` `CorruptedPartitionMetaPageException(String msg, @Nullable Throwable cause, T2<Integer,Long>[] pages)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.AbstractCorruptedPersistenceException

`expandPagesArray, pages, partitionMetaPages, toPagesArray`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CorruptedPartitionMetaPageException

    protected CorruptedPartitionMetaPageException(String msg,
                                                  @Nullable
                                                  @Nullable Throwable cause,
                                                  int grpId,
                                                  long... pages)

Parameters:
  `msg` - Message.
  `cause` - Cause.
  `grpId` - Group id.
  `pages` - Ids of pages that might be corrupted.

#### CorruptedPartitionMetaPageException

    protected CorruptedPartitionMetaPageException(String msg,
                                                  @Nullable
                                                  @Nullable Throwable cause,
                                                  T2<Integer,Long>[] pages)

Parameters:
  `msg` - Message.
  `cause` - Cause.
  `pages` - (groupId, pageId) pairs for pages that might be corrupted.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022